import type { IContentfulEntry } from "./types/contentful";
import type { Actions, NodePluginArgs } from "gatsby";
import type { IProcessedPluginOptions } from "./types/plugin";
export declare const existingNodes: Map<string, IContentfulEntry>;
export declare const is: {
    firstSourceNodesCallOfCurrentNodeProcess: boolean;
};
interface IMemoryNodesCountsBySysType {
    Asset: number;
    Entry: number;
}
export declare function getExistingCachedNodes({ actions, getNode, pluginConfig, }: {
    actions: Actions;
    getNode: NodePluginArgs["getNode"];
    pluginConfig: IProcessedPluginOptions;
}): Promise<{
    existingNodes: Map<string, IContentfulEntry>;
    memoryNodeCountsBySysType: IMemoryNodesCountsBySysType;
}>;
export declare function addNodeToExistingNodesCache(node: IContentfulEntry): void;
export declare function removeNodeFromExistingNodesCache(node: IContentfulEntry): void;
export {};
