import type { Reporter } from "gatsby";
import type { Span } from "opentracing";
import type { ContentType, Locale, Space, SyncCollection, Tag, EntrySkeletonType } from "contentful";
import type { IProcessedPluginOptions } from "./types/plugin";
interface IFetchResult {
    currentSyncData: SyncCollection<EntrySkeletonType, "WITH_ALL_LOCALES" | "WITHOUT_LINK_RESOLUTION">;
    tagItems: Array<Tag>;
    defaultLocale: string;
    locales: Array<Locale>;
    space: Space;
}
/**
 * Fetches:
 * * Locales with default locale
 * * Entries and assets
 * * Tags
 */
export declare function fetchContent({ syncToken, pluginConfig, reporter, parentSpan, }: {
    syncToken: string;
    pluginConfig: IProcessedPluginOptions;
    reporter: Reporter;
    parentSpan?: Span;
}): Promise<IFetchResult>;
/**
 * Fetches:
 * * Content types
 */
export declare function fetchContentTypes({ pluginConfig, reporter, }: {
    pluginConfig: IProcessedPluginOptions;
    reporter: Reporter;
}): Promise<Array<ContentType> | null>;
export {};
