import type { GatsbyCache } from "gatsby";
import { IGatsbyImageData, ImageFormat } from "gatsby-plugin-image";
import type { ImageFit } from "gatsby-plugin-utils/polyfill-remote-file/types";
import type { IContentfulAsset, IContentfulImageAPITransformerOptions } from "./types/contentful";
export declare function generateImageSource(filename: string, width: number, height: number, toFormat: "gif" | ImageFormat, _fit: ImageFit | null, imageTransformOptions: IContentfulImageAPITransformerOptions): {
    width: number;
    height: number;
    format: string;
    src: string;
} | undefined;
export declare function resolveGatsbyImageData(image: IContentfulAsset, options: IContentfulImageAPITransformerOptions, { cache }: {
    cache: GatsbyCache;
}): Promise<IGatsbyImageData | null>;
